Skip to main content

SA National ID without photograph

Request

[GET]
{{baseURL}}/api/v1/za/kyc/id
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id_number *stringSouth African National ID Numberrequired

Sample Response

Response
{
    "entity": {
        "id_number": "1234567890192",
        "first_name": "JOHN",
        "last_name": "DOE",
        "middle_name": "ANON",
        "date_of_birth": "1900-12-18",
        "phone_number": "",
        "address": "",
        "marital_status": "SINGLE",
        "gender": "Male",
        "issued_date": "2020-01-20",
        "full_name": "JOHN DOE ANON",
        "smart_card_issued": "YES",
        "card_date": "2020-01-20",
        "book_date": "2020-01-20",
        "living_status": "ALIVE"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.id_numberstringSouth African National ID Number
entity.first_namestringFirst name of the individual
entity.last_namestringLast name of the individual
entity.middle_namestringMiddle name of the individual
entity.date_of_birthstringDate of birth in YYYY-MM-DD format
entity.phone_numberstringPhone number of the individual
entity.addressstringResidential address of the individual
entity.marital_statusstringMarital status (e.g., SINGLE, MARRIED)
entity.genderstringGender of the individual
entity.issued_datestringDate the ID was issued in YYYY-MM-DD format
entity.full_namestringFull name of the individual
entity.smart_card_issuedstringWhether a smart ID card was issued (YES or NO)
entity.card_datestringDate the smart card was issued in YYYY-MM-DD format
entity.book_datestringDate the ID book was issued in YYYY-MM-DD format
entity.living_statusstringLiving status of the individual (e.g., ALIVE)

SA National ID with photograph

Request

[GET]
{{baseURL}}/api/v1/za/kyc/id_withphoto

Header

HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id_number *stringSouth African National ID Numberrequired

Sample Response

Response
{
    "entity": {
        "id_number": "1234567890192",
        "first_name": "JOHN",
        "last_name": "DOE",
        "middle_name": "ANON",
        "date_of_birth": "1900-12-18",
        "phone_number": "",
        "address": "",
        "photo": "/9j/2wBDA19sjwj2j2j2j2j2j1w",
        "marital_status": "SINGLE",
        "gender": "Male",
        "issued_date": "2020-01-20",
        "full_name": "JOHN DOE ANON",
        "smart_card_issued": "YES",
        "card_date": "2020-01-20",
        "book_date": "2020-01-20",
        "living_status": "ALIVE"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.id_numberstringSouth African National ID Number
entity.first_namestringFirst name of the individual
entity.last_namestringLast name of the individual
entity.middle_namestringMiddle name of the individual
entity.date_of_birthstringDate of birth in YYYY-MM-DD format
entity.phone_numberstringPhone number of the individual
entity.addressstringResidential address of the individual
entity.photostringBase64-encoded photograph of the individual
entity.marital_statusstringMarital status (e.g., SINGLE, MARRIED)
entity.genderstringGender of the individual
entity.issued_datestringDate the ID was issued in YYYY-MM-DD format
entity.full_namestringFull name of the individual
entity.smart_card_issuedstringWhether a smart ID card was issued (YES or NO)
entity.card_datestringDate the smart card was issued in YYYY-MM-DD format
entity.book_datestringDate the ID book was issued in YYYY-MM-DD format
entity.living_statusstringLiving status of the individual (e.g., ALIVE)